Package org.firebirdsql.gds.ng.wire.auth.srp

## Class Srp224AuthenticationPluginSpi

- java.lang.Object
- - org.firebirdsql.gds.ng.wire.auth.srp.AbstractSrpAuthenticationPluginSpi
  - - org.firebirdsql.gds.ng.wire.auth.srp.Srp224AuthenticationPluginSpi

All Implemented Interfaces:
  `AuthenticationPluginSpi`

    public class Srp224AuthenticationPluginSpi
    extends AbstractSrpAuthenticationPluginSpi

Srp224 authentication plugin service provider.

Since:
  4.0
Author:
  Mark Rotteveel

### Field Summary

Fields
`static java.lang.String` `SRP_224_AUTH_NAME`

### Constructor Summary

Constructors
`Srp224AuthenticationPluginSpi()`

### Method Summary

### Methods inherited from class org.firebirdsql.gds.ng.wire.auth.srp.AbstractSrpAuthenticationPluginSpi

`createPlugin, getPluginName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SRP_224_AUTH_NAME

    public static final java.lang.String SRP_224_AUTH_NAME

See Also:
  Constant Field Values

### Constructor Detail

#### Srp224AuthenticationPluginSpi

    public Srp224AuthenticationPluginSpi()
                                  throws java.sql.SQLException

Throws:
  `java.sql.SQLException`